$(document).ready(function() {

    // Toggle de filters opties.
    $("#filters_opties").click(function() {
        if($("#filters").css("display") == "none"){
            $("#filters").css("display", "block");
            $(this).text("-");
        } else {
            $("#filters").css("display", "none");
            $(this).text("+");
        }
    });

    /* dropdown doelgroepen */
    $(".labels_filter").click(function(event) {
        if($(this).parent().find(".doelgroepen_filter").css("display") == "block"){
            $(this).parent().find(".doelgroepen_filter").css("display", "none");;
        } else {
            /* Sluit alle dropdown menu */
            $(".doelgroepen_filter").each(function() {
                 $(this).css("display", "none");
            });

            $(this).parent().find(".doelgroepen_filter").css("display", "block");
        }
    }).children().click(function(e) {
        return false;
    });

    // Wordt erop een label in de dropdown menu geclikced wordt hij grijs en selected gezet.
    $(".doelgroep_edit_filter").click(function() {
        $(".label_selected").each(function (){
            if($(this).val() == "selected"){
                $(this).val("");
                $(this).parent().css("background-color", "");
            }
        });

        $(this).css("background-color", "grey");
        $(this).find(".label_selected").attr("value", "selected");
    });

    /* Highlight het goedgekeurd knopje als er op geklikt wordt
     * en zet de value van het antwoord naar goedgekeurd.
     */
    $(".goedgekeurd").click(function() {
        if($(this).parent().find(".answer").val() == "goedgekeurd"){
            $(this).parent().find(".answer").attr("value", "");
            $(this).css("background-color", "green");
        } else {
            $(this).parent().find(".answer").attr("value", "goedgekeurd");
            $(this).css("background-color", "lightgreen");
            $(this).parent().find(".afgekeurd").css("background-color", "red");
        }
    });


    /* Highlight het verwijder knopje als er op geklikt wordt
     * en zet de value van het antwoord naar verwijder.
     */
    $(".afgekeurd").click(function() {
        if($(this).parent().find(".answer").val() == "afgekeurd"){
            $(this).parent().find(".answer").attr("value", "");
            $(this).css("background-color", "red");
        } else {
            $(this).parent().find(".answer").attr("value", "afgekeurd");
            $(this).css("background-color", "salmon");
            $(this).parent().find(".goedgekeurd").css("background-color", "green");
        }
    });


    /* Login dropdown */
    $(".login").click(function() {
        $(".doelgroep").find(".doelgroepen").css("display", "none");
        $(".status").find(".dropdown-content").css("display", "none");
        if($(".dropdown-login").css("display") == "block"){
            $(".dropdown-login").css("display", "none");
        } else {
            $(".dropdown-login").css("display", "block");
        }
    }).children().click(function(e) {
        return false;
    });

    /* Verandert status text */
    $(".status_choose").click(function() {
        $(this).parent().parent().find(".status_text").text($(this).text());
        $(this).parent().parent().find(".status_input").attr("value", $(this).find(".privilege_id").val());
    });

    /* dropdown status */
    $(".status").click(function() {
        if($(this).find(".dropdown-content").css("display") == "block"){
            $(this).find(".dropdown-content").css("display", "none");
        } else if($(".dropdown-content").css("display") == "block") {
            $(".dropdown-content").css("display", "none");
            $(this).find(".dropdown-content").css("display", "block");
        } else {
            $(this).find(".dropdown-content").css("display", "block");
        }
    });
});
